> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# commercetools-discounts

> commercetools Discounts - manage product discounts, cart discounts, discount codes, discount groups, and standalone prices

**Server path:** `/commercetools-discounts` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                      | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| ------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [`commercetools_discounts_create_cart_discounts`](#commercetools_discounts_create_cart_discounts)                         | Creating a Cart Discount produces the CartDiscountCreated Message.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [`commercetools_discounts_create_discount_codes`](#commercetools_discounts_create_discount_codes)                         | Creating a Discount Code produces the DiscountCodeCreated Message.  Deprecated OAuth 2.0 Scope: `manage_orders:&#123;projectKey&#125;`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [`commercetools_discounts_create_discount_groups`](#commercetools_discounts_create_discount_groups)                       | Creates a DiscountGroup in the Project. This request generates the DiscountGroupCreated Message.  If the limit for active Discount Groups has been reached, a MaxDiscountGroupsReached error is returned.                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [`commercetools_discounts_create_product_discounts`](#commercetools_discounts_create_product_discounts)                   | POST /product-discounts                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [`commercetools_discounts_create_product_discounts_matching`](#commercetools_discounts_create_product_discounts_matching) | This endpoint can be used to simulate which Product Discounts would be applied if a specified Product Variant had a specified Price. Given Product and Product Variant IDs and a Price, this endpoint will return the ProductDiscount that would have been applied to that Price.  If a Product Discount could not be found that could be applied to the Price of a Product Variant, a NoMatchingProductDiscountFound error is returned.                                                                                                                                                                                       |
| [`commercetools_discounts_create_standalone_prices`](#commercetools_discounts_create_standalone_prices)                   | Creating a Standalone Price produces the StandalonePriceCreated Message.  - If the Standalone Price has the same price scope as an existing Standalone Price, a DuplicateStandalonePriceScope error is returned. - If the Standalone Price has overlapping validity periods within the same price scope, a OverlappingStandalonePriceValidity error is returned. A Price without validity period does not conflict with a Price defined for a time period. - If a modification is already in progress for the exact combination of SKU and price scope fields, an ExactLockConflict or ValidityLockConflict error is returned. |
| [`commercetools_discounts_delete_cart_discounts_by_id`](#commercetools_discounts_delete_cart_discounts_by_id)             | Deleting a Cart Discount produces the CartDiscountDeleted Message.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [`commercetools_discounts_delete_cart_discounts_by_key`](#commercetools_discounts_delete_cart_discounts_by_key)           | Deleting a Cart Discount produces the CartDiscountDeleted Message.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [`commercetools_discounts_delete_discount_codes_by_id`](#commercetools_discounts_delete_discount_codes_by_id)             | Deleting a Discount Code produces the DiscountCodeDeleted Message.  Deprecated OAuth 2.0 Scope: `manage_orders:&#123;projectKey&#125;`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [`commercetools_discounts_delete_discount_codes_by_key`](#commercetools_discounts_delete_discount_codes_by_key)           | Deleting a Discount Code produces the DiscountCodeDeleted Message.  Deprecated OAuth 2.0 Scope: `manage_orders:&#123;projectKey&#125;`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [`commercetools_discounts_delete_discount_groups_by_id`](#commercetools_discounts_delete_discount_groups_by_id)           | Deletes a DiscountGroup in the Project. This request generates the DiscountGroupDeleted Message.  If the DiscountGroup is referenced by a CartDiscount, a ReferenceExists error is returned.                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [`commercetools_discounts_delete_discount_groups_by_key`](#commercetools_discounts_delete_discount_groups_by_key)         | Deletes a DiscountGroup in the Project. This request generates the DiscountGroupDeleted Message.  If the DiscountGroup is referenced by a CartDiscount, a ReferenceExists error is returned.                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [`commercetools_discounts_delete_product_discounts_by_id`](#commercetools_discounts_delete_product_discounts_by_id)       | DELETE /product-discounts/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| [`commercetools_discounts_delete_product_discounts_by_key`](#commercetools_discounts_delete_product_discounts_by_key)     | DELETE /product-discounts/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| [`commercetools_discounts_delete_standalone_prices_by_id`](#commercetools_discounts_delete_standalone_prices_by_id)       | Produces the StandalonePriceDeleted Message.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [`commercetools_discounts_delete_standalone_prices_by_key`](#commercetools_discounts_delete_standalone_prices_by_key)     | Produces the StandalonePriceDeleted Message.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [`commercetools_discounts_get_cart_discounts_by_id`](#commercetools_discounts_get_cart_discounts_by_id)                   | GET /cart-discounts/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [`commercetools_discounts_get_cart_discounts_by_key`](#commercetools_discounts_get_cart_discounts_by_key)                 | GET /cart-discounts/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [`commercetools_discounts_get_discount_codes_by_id`](#commercetools_discounts_get_discount_codes_by_id)                   | Deprecated OAuth 2.0 Scope: `view_orders:&#123;projectKey&#125;`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| [`commercetools_discounts_get_discount_codes_by_key`](#commercetools_discounts_get_discount_codes_by_key)                 | Deprecated OAuth 2.0 Scope: `view_orders:&#123;projectKey&#125;`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| [`commercetools_discounts_get_discount_groups_by_id`](#commercetools_discounts_get_discount_groups_by_id)                 | Retrieves a DiscountGroup with the provided `id`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| [`commercetools_discounts_get_discount_groups_by_key`](#commercetools_discounts_get_discount_groups_by_key)               | Retrieves a DiscountGroup with the provided `key`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [`commercetools_discounts_get_product_discounts_by_id`](#commercetools_discounts_get_product_discounts_by_id)             | GET /product-discounts/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [`commercetools_discounts_get_product_discounts_by_key`](#commercetools_discounts_get_product_discounts_by_key)           | GET /product-discounts/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| [`commercetools_discounts_get_standalone_prices_by_id`](#commercetools_discounts_get_standalone_prices_by_id)             | GET /standalone-prices/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [`commercetools_discounts_get_standalone_prices_by_key`](#commercetools_discounts_get_standalone_prices_by_key)           | GET /standalone-prices/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| [`commercetools_discounts_list_cart_discounts`](#commercetools_discounts_list_cart_discounts)                             | GET /cart-discounts                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| [`commercetools_discounts_list_discount_codes`](#commercetools_discounts_list_discount_codes)                             | Deprecated OAuth 2.0 Scope: `view_orders:&#123;projectKey&#125;`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| [`commercetools_discounts_list_discount_groups`](#commercetools_discounts_list_discount_groups)                           | Retrieves all DiscountGroups in the Project.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [`commercetools_discounts_list_product_discounts`](#commercetools_discounts_list_product_discounts)                       | GET /product-discounts                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [`commercetools_discounts_list_standalone_prices`](#commercetools_discounts_list_standalone_prices)                       | GET /standalone-prices                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [`commercetools_discounts_update_cart_discounts_by_id`](#commercetools_discounts_update_cart_discounts_by_id)             | POST /cart-discounts/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| [`commercetools_discounts_update_cart_discounts_by_key`](#commercetools_discounts_update_cart_discounts_by_key)           | POST /cart-discounts/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| [`commercetools_discounts_update_discount_codes_by_id`](#commercetools_discounts_update_discount_codes_by_id)             | Deprecated OAuth 2.0 Scope: `manage_orders:&#123;projectKey&#125;`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [`commercetools_discounts_update_discount_codes_by_key`](#commercetools_discounts_update_discount_codes_by_key)           | Deprecated OAuth 2.0 Scope: `manage_orders:&#123;projectKey&#125;`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [`commercetools_discounts_update_discount_groups_by_id`](#commercetools_discounts_update_discount_groups_by_id)           | Updates a DiscountGroup in the Project using one or more update actions.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| [`commercetools_discounts_update_discount_groups_by_key`](#commercetools_discounts_update_discount_groups_by_key)         | Updates a DiscountGroup in the Project using one or more update actions.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| [`commercetools_discounts_update_product_discounts_by_id`](#commercetools_discounts_update_product_discounts_by_id)       | POST /product-discounts/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| [`commercetools_discounts_update_product_discounts_by_key`](#commercetools_discounts_update_product_discounts_by_key)     | POST /product-discounts/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [`commercetools_discounts_update_standalone_prices_by_id`](#commercetools_discounts_update_standalone_prices_by_id)       | If a modification is already in progress for the exact combination of SKU and price scope fields, an ExactLockConflict or ValidityLockConflict error is returned.                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| [`commercetools_discounts_update_standalone_prices_by_key`](#commercetools_discounts_update_standalone_prices_by_key)     | If a modification is already in progress for the exact combination of SKU and price scope fields, an ExactLockConflict or ValidityLockConflict error is returned.                                                                                                                                                                                                                                                                                                                                                                                                                                                              |

***

## commercetools\_discounts\_create\_cart\_discounts

Creating a Cart Discount produces the CartDiscountCreated Message.

**Parameters:**

| Parameter              | Type      | Required | Default | Description                        |
| ---------------------- | --------- | -------- | ------- | ---------------------------------- |
| `expand`               | string\[] | No       | —       | Related resources to expand inline |
| `cartPredicate`        | string    | Yes      | —       | Cart Predicate                     |
| `custom`               | object    | No       | —       | The custom value                   |
| `description`          | object    | No       | —       | The description value              |
| `discountGroup`        | object    | No       | —       | Discount Group                     |
| `isActive`             | boolean   | No       | —       | Is Active                          |
| `key`                  | string    | No       | —       | The key value                      |
| `name`                 | object    | Yes      | —       | The name value                     |
| `recurringOrderScope`  | object    | No       | —       | Recurring Order Scope              |
| `requiresDiscountCode` | boolean   | No       | —       | Requires Discount Code             |
| `sortOrder`            | string    | No       | —       | Sort Order                         |
| `stackingMode`         | string    | No       | —       | Stacking Mode                      |
| `stores`               | any\[]    | No       | —       | The stores value                   |
| `target`               | object    | No       | —       | The target value                   |
| `validFrom`            | string    | No       | —       | Valid From                         |
| `validUntil`           | string    | No       | —       | Valid Until                        |
| `value`                | object    | Yes      | —       | The value value                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "cartPredicate": {
        "type": "string",
        "description": "Cart Predicate"
      },
      "custom": {
        "type": "object",
        "description": "The custom value",
        "properties": {
          "type": {
            "description": "The type value"
          },
          "fields": {
            "type": "object",
            "description": "The fields value"
          }
        },
        "required": [
          "type"
        ]
      },
      "description": {
        "type": "object",
        "description": "The description value"
      },
      "discountGroup": {
        "description": "Discount Group"
      },
      "isActive": {
        "type": "boolean",
        "description": "Is Active"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "name": {
        "type": "object",
        "description": "The name value"
      },
      "recurringOrderScope": {
        "type": "object",
        "description": "Recurring Order Scope",
        "properties": {
          "type": {
            "type": "string",
            "description": "The type value"
          }
        },
        "required": [
          "type"
        ]
      },
      "requiresDiscountCode": {
        "type": "boolean",
        "description": "Requires Discount Code"
      },
      "sortOrder": {
        "type": "string",
        "description": "Sort Order"
      },
      "stackingMode": {
        "type": "string",
        "description": "Stacking Mode",
        "enum": [
          "Stacking",
          "StopAfterThisDiscount"
        ]
      },
      "stores": {
        "type": "array",
        "description": "The stores value"
      },
      "target": {
        "type": "object",
        "description": "The target value",
        "properties": {
          "type": {
            "type": "string",
            "description": "The type value"
          }
        },
        "required": [
          "type"
        ]
      },
      "validFrom": {
        "type": "string",
        "description": "Valid From"
      },
      "validUntil": {
        "type": "string",
        "description": "Valid Until"
      },
      "value": {
        "type": "object",
        "description": "The value value",
        "properties": {
          "type": {
            "type": "string",
            "description": "The type value"
          }
        },
        "required": [
          "type"
        ]
      }
    },
    "required": [
      "PCID",
      "cartPredicate",
      "name",
      "value"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_create\_discount\_codes

Creating a Discount Code produces the DiscountCodeCreated Message.  Deprecated OAuth 2.0 Scope: `manage_orders:&#123;projectKey&#125;`

**Parameters:**

| Parameter                    | Type      | Required | Default | Description                        |
| ---------------------------- | --------- | -------- | ------- | ---------------------------------- |
| `expand`                     | string\[] | No       | —       | Related resources to expand inline |
| `cartDiscounts`              | any\[]    | Yes      | —       | Cart Discounts                     |
| `cartPredicate`              | string    | No       | —       | Cart Predicate                     |
| `code`                       | string    | Yes      | —       | The code value                     |
| `custom`                     | object    | No       | —       | The custom value                   |
| `description`                | object    | No       | —       | The description value              |
| `groups`                     | string\[] | No       | —       | The groups value                   |
| `isActive`                   | boolean   | No       | —       | Is Active                          |
| `key`                        | string    | No       | —       | The key value                      |
| `maxApplications`            | integer   | No       | —       | Max Applications                   |
| `maxApplicationsPerCustomer` | integer   | No       | —       | Max Applications Per Customer      |
| `name`                       | object    | No       | —       | The name value                     |
| `validFrom`                  | string    | No       | —       | Valid From                         |
| `validUntil`                 | string    | No       | —       | Valid Until                        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "cartDiscounts": {
        "type": "array",
        "description": "Cart Discounts"
      },
      "cartPredicate": {
        "type": "string",
        "description": "Cart Predicate"
      },
      "code": {
        "type": "string",
        "description": "The code value"
      },
      "custom": {
        "type": "object",
        "description": "The custom value",
        "properties": {
          "type": {
            "description": "The type value"
          },
          "fields": {
            "type": "object",
            "description": "The fields value"
          }
        },
        "required": [
          "type"
        ]
      },
      "description": {
        "type": "object",
        "description": "The description value"
      },
      "groups": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The groups value"
      },
      "isActive": {
        "type": "boolean",
        "description": "Is Active"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "maxApplications": {
        "type": "integer",
        "description": "Max Applications"
      },
      "maxApplicationsPerCustomer": {
        "type": "integer",
        "description": "Max Applications Per Customer"
      },
      "name": {
        "type": "object",
        "description": "The name value"
      },
      "validFrom": {
        "type": "string",
        "description": "Valid From"
      },
      "validUntil": {
        "type": "string",
        "description": "Valid Until"
      }
    },
    "required": [
      "PCID",
      "cartDiscounts",
      "code"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_create\_discount\_groups

Creates a DiscountGroup in the Project. This request generates the DiscountGroupCreated Message.  If the limit for active Discount Groups has been reached, a MaxDiscountGroupsReached error is returned.

**Parameters:**

| Parameter     | Type      | Required | Default | Description                        |
| ------------- | --------- | -------- | ------- | ---------------------------------- |
| `expand`      | string\[] | No       | —       | Related resources to expand inline |
| `description` | object    | No       | —       | The description value              |
| `isActive`    | boolean   | No       | —       | Is Active                          |
| `key`         | string    | Yes      | —       | The key value                      |
| `name`        | object    | No       | —       | The name value                     |
| `sortOrder`   | string    | Yes      | —       | Sort Order                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "description": {
        "type": "object",
        "description": "The description value"
      },
      "isActive": {
        "type": "boolean",
        "description": "Is Active"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "name": {
        "type": "object",
        "description": "The name value"
      },
      "sortOrder": {
        "type": "string",
        "description": "Sort Order"
      }
    },
    "required": [
      "PCID",
      "key",
      "sortOrder"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_create\_product\_discounts

POST /product-discounts

**Parameters:**

| Parameter     | Type      | Required | Default | Description                        |
| ------------- | --------- | -------- | ------- | ---------------------------------- |
| `expand`      | string\[] | No       | —       | Related resources to expand inline |
| `description` | object    | No       | —       | The description value              |
| `isActive`    | boolean   | Yes      | —       | Is Active                          |
| `key`         | string    | No       | —       | The key value                      |
| `name`        | object    | Yes      | —       | The name value                     |
| `predicate`   | string    | Yes      | —       | The predicate value                |
| `sortOrder`   | string    | Yes      | —       | Sort Order                         |
| `validFrom`   | string    | No       | —       | Valid From                         |
| `validUntil`  | string    | No       | —       | Valid Until                        |
| `value`       | object    | Yes      | —       | The value value                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "description": {
        "type": "object",
        "description": "The description value"
      },
      "isActive": {
        "type": "boolean",
        "description": "Is Active"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "name": {
        "type": "object",
        "description": "The name value"
      },
      "predicate": {
        "type": "string",
        "description": "The predicate value"
      },
      "sortOrder": {
        "type": "string",
        "description": "Sort Order"
      },
      "validFrom": {
        "type": "string",
        "description": "Valid From"
      },
      "validUntil": {
        "type": "string",
        "description": "Valid Until"
      },
      "value": {
        "type": "object",
        "description": "The value value",
        "properties": {
          "type": {
            "type": "string",
            "description": "The type value"
          }
        },
        "required": [
          "type"
        ]
      }
    },
    "required": [
      "PCID",
      "isActive",
      "name",
      "predicate",
      "sortOrder",
      "value"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_create\_product\_discounts\_matching

This endpoint can be used to simulate which Product Discounts would be applied if a specified Product Variant had a specified Price. Given Product and Product Variant IDs and a Price, this endpoint will return the ProductDiscount that would have been applied to that Price.  If a Product Discount could not be found that could be applied to the Price of a Product Variant, a NoMatchingProductDiscountFound error is returned.

**Parameters:**

| Parameter   | Type    | Required | Default | Description      |
| ----------- | ------- | -------- | ------- | ---------------- |
| `price`     | object  | Yes      | —       | The price value  |
| `productId` | string  | Yes      | —       | Product Id       |
| `staged`    | boolean | Yes      | —       | The staged value |
| `variantId` | integer | Yes      | —       | Variant Id       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "price": {
        "type": "object",
        "description": "The price value",
        "properties": {
          "id": {
            "type": "string",
            "description": "The id value"
          },
          "value": {
            "type": "object",
            "description": "The value value"
          },
          "country": {
            "type": "string",
            "description": "The country value"
          },
          "customerGroup": {
            "description": "Customer Group"
          },
          "channel": {
            "description": "The channel value"
          },
          "validFrom": {
            "type": "string",
            "description": "Valid From"
          },
          "validUntil": {
            "type": "string",
            "description": "Valid Until"
          },
          "discounted": {
            "type": "object",
            "description": "The discounted value"
          },
          "custom": {
            "type": "object",
            "description": "The custom value"
          },
          "tiers": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "The tiers value"
          }
        },
        "required": [
          "value"
        ]
      },
      "productId": {
        "type": "string",
        "description": "Product Id"
      },
      "staged": {
        "type": "boolean",
        "description": "The staged value"
      },
      "variantId": {
        "type": "integer",
        "description": "Variant Id"
      }
    },
    "required": [
      "PCID",
      "price",
      "productId",
      "staged",
      "variantId"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_create\_standalone\_prices

Creating a Standalone Price produces the StandalonePriceCreated Message.  - If the Standalone Price has the same price scope as an existing Standalone Price, a DuplicateStandalonePriceScope error is returned. - If the Standalone Price has overlapping validity periods within the same price scope, a OverlappingStandalonePriceValidity error is returned. A Price without validity period does not conflict with a Price defined for a time period. - If a modification is already in progress for the exact combination of SKU and price scope fields, an ExactLockConflict or ValidityLockConflict error is returned.

**Parameters:**

| Parameter          | Type      | Required | Default | Description                        |
| ------------------ | --------- | -------- | ------- | ---------------------------------- |
| `expand`           | string\[] | No       | —       | Related resources to expand inline |
| `active`           | boolean   | No       | —       | The active value                   |
| `channel`          | object    | No       | —       | The channel value                  |
| `country`          | string    | No       | —       | The country value                  |
| `custom`           | object    | No       | —       | The custom value                   |
| `customerGroup`    | object    | No       | —       | Customer Group                     |
| `discounted`       | object    | No       | —       | The discounted value               |
| `key`              | string    | No       | —       | The key value                      |
| `recurrencePolicy` | object    | No       | —       | Recurrence Policy                  |
| `sku`              | string    | Yes      | —       | The sku value                      |
| `staged`           | object    | No       | —       | The staged value                   |
| `tiers`            | object\[] | No       | —       | The tiers value                    |
| `validFrom`        | string    | No       | —       | Valid From                         |
| `validUntil`       | string    | No       | —       | Valid Until                        |
| `value`            | object    | Yes      | —       | The value value                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "active": {
        "type": "boolean",
        "description": "The active value"
      },
      "channel": {
        "description": "The channel value"
      },
      "country": {
        "type": "string",
        "description": "The country value"
      },
      "custom": {
        "type": "object",
        "description": "The custom value",
        "properties": {
          "type": {
            "description": "The type value"
          },
          "fields": {
            "type": "object",
            "description": "The fields value"
          }
        },
        "required": [
          "type"
        ]
      },
      "customerGroup": {
        "description": "Customer Group"
      },
      "discounted": {
        "type": "object",
        "description": "The discounted value",
        "properties": {
          "value": {
            "type": "object",
            "description": "The value value"
          },
          "discount": {
            "description": "The discount value"
          }
        },
        "required": [
          "discount",
          "value"
        ]
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "recurrencePolicy": {
        "description": "Recurrence Policy"
      },
      "sku": {
        "type": "string",
        "description": "The sku value"
      },
      "staged": {
        "type": "object",
        "description": "The staged value",
        "properties": {
          "value": {
            "description": "The value value"
          }
        },
        "required": [
          "value"
        ]
      },
      "tiers": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "minimumQuantity": {
              "type": "integer",
              "format": "int64",
              "description": "Minimum Quantity"
            },
            "value": {
              "type": "object",
              "description": "The value value"
            }
          },
          "required": [
            "minimumQuantity",
            "value"
          ]
        },
        "description": "The tiers value"
      },
      "validFrom": {
        "type": "string",
        "description": "Valid From"
      },
      "validUntil": {
        "type": "string",
        "description": "Valid Until"
      },
      "value": {
        "type": "object",
        "description": "The value value",
        "properties": {
          "centAmount": {
            "type": "integer",
            "description": "Cent Amount"
          },
          "currencyCode": {
            "type": "string",
            "description": "Currency Code"
          }
        },
        "required": [
          "centAmount",
          "currencyCode"
        ]
      }
    },
    "required": [
      "PCID",
      "sku",
      "value"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_delete\_cart\_discounts\_by\_id

Deleting a Cart Discount produces the CartDiscountDeleted Message.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_delete\_cart\_discounts\_by\_key

Deleting a Cart Discount produces the CartDiscountDeleted Message.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_delete\_discount\_codes\_by\_id

Deleting a Discount Code produces the DiscountCodeDeleted Message.  Deprecated OAuth 2.0 Scope: `manage_orders:&#123;projectKey&#125;`

**Parameters:**

| Parameter     | Type      | Required | Default | Description                        |
| ------------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`          | string    | Yes      | —       | The id value                       |
| `dataErasure` | boolean   | No       | —       | Data Erasure                       |
| `version`     | integer   | Yes      | —       | The version value                  |
| `expand`      | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "dataErasure": {
        "type": "boolean",
        "description": "Data Erasure"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_delete\_discount\_codes\_by\_key

Deleting a Discount Code produces the DiscountCodeDeleted Message.  Deprecated OAuth 2.0 Scope: `manage_orders:&#123;projectKey&#125;`

**Parameters:**

| Parameter     | Type      | Required | Default | Description                        |
| ------------- | --------- | -------- | ------- | ---------------------------------- |
| `key`         | string    | Yes      | —       | The key value                      |
| `dataErasure` | boolean   | No       | —       | Data Erasure                       |
| `version`     | integer   | Yes      | —       | The version value                  |
| `expand`      | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "dataErasure": {
        "type": "boolean",
        "description": "Data Erasure"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_delete\_discount\_groups\_by\_id

Deletes a DiscountGroup in the Project. This request generates the DiscountGroupDeleted Message.  If the DiscountGroup is referenced by a CartDiscount, a ReferenceExists error is returned.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_delete\_discount\_groups\_by\_key

Deletes a DiscountGroup in the Project. This request generates the DiscountGroupDeleted Message.  If the DiscountGroup is referenced by a CartDiscount, a ReferenceExists error is returned.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_delete\_product\_discounts\_by\_id

DELETE /product-discounts/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_delete\_product\_discounts\_by\_key

DELETE /product-discounts/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_delete\_standalone\_prices\_by\_id

Produces the StandalonePriceDeleted Message.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_delete\_standalone\_prices\_by\_key

Produces the StandalonePriceDeleted Message.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_get\_cart\_discounts\_by\_id

GET /cart-discounts/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_get\_cart\_discounts\_by\_key

GET /cart-discounts/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_get\_discount\_codes\_by\_id

Deprecated OAuth 2.0 Scope: `view_orders:&#123;projectKey&#125;`

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_get\_discount\_codes\_by\_key

Deprecated OAuth 2.0 Scope: `view_orders:&#123;projectKey&#125;`

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_get\_discount\_groups\_by\_id

Retrieves a DiscountGroup with the provided `id`.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_get\_discount\_groups\_by\_key

Retrieves a DiscountGroup with the provided `key`.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_get\_product\_discounts\_by\_id

GET /product-discounts/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_get\_product\_discounts\_by\_key

GET /product-discounts/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_get\_standalone\_prices\_by\_id

GET /standalone-prices/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_get\_standalone\_prices\_by\_key

GET /standalone-prices/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_list\_cart\_discounts

GET /cart-discounts

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `where`     | string\[] | No       | —       | The where value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_list\_discount\_codes

Deprecated OAuth 2.0 Scope: `view_orders:&#123;projectKey&#125;`

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `where`     | string\[] | No       | —       | The where value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_list\_discount\_groups

Retrieves all DiscountGroups in the Project.

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `where`     | string\[] | No       | —       | The where value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_list\_product\_discounts

GET /product-discounts

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `where`     | string\[] | No       | —       | The where value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_list\_standalone\_prices

GET /standalone-prices

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `where`     | string\[] | No       | —       | The where value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_update\_cart\_discounts\_by\_id

POST /cart-discounts/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_update\_cart\_discounts\_by\_key

POST /cart-discounts/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "key",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_update\_discount\_codes\_by\_id

Deprecated OAuth 2.0 Scope: `manage_orders:&#123;projectKey&#125;`

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_update\_discount\_codes\_by\_key

Deprecated OAuth 2.0 Scope: `manage_orders:&#123;projectKey&#125;`

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "key",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_update\_discount\_groups\_by\_id

Updates a DiscountGroup in the Project using one or more update actions.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_update\_discount\_groups\_by\_key

Updates a DiscountGroup in the Project using one or more update actions.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "key",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_update\_product\_discounts\_by\_id

POST /product-discounts/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_discounts\_update\_product\_discounts\_by\_key

POST /product-discounts/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
[...]
